<?php get_header(); ?>

<slides class="layout-widescreen">

  <slide class="logoslide nobackground">
    <article class="flexbox vcenter">
      <span><img src="<?php echo get_theme_mod('front_logo', get_template_directory_uri() . '/images/wordpress-logo-hoz-rgb.png' ); ?>"></span>
      <p style="padding-top:60px;">Follow along at <?php echo home_url(); ?>!</p>
    </article>
  </slide>

  <slide class="title-slide segue nobackground">
    <aside class="gdbar"><img src="
    <?php echo get_theme_mod('square_logo', get_template_directory_uri() . '/images/wordpress-logo-notext-rgb.png' ); ?>"></aside>
    <!-- The content of this hgroup is replaced programmatically through the slide_config.json. -->
    <hgroup class="auto-fadein">
      <h1 data-config-title><!-- populated from slide_config.json --></h1>
      <h2 data-config-subtitle><!-- populated from slide_config.json --></h2>
      <p data-config-presenter><!-- populated from slide_config.json --></p>
      <p data-config-contact><!-- populated from slide_config.json --></p>
    </hgroup>
  </slide>
  
    <slide>
    	<aside class="note">
    		<section>
    		<p>Speaker notes are like Easter Eggs!</p>
    		</section>
	</aside>
      <hgroup>
        <h2>Viewing Notes</h2>
        <h3>How to see this presentation</h3>
      </hgroup>
      <article>
        <p>Some hotkeys:</p>
        <ul>
          <li>Arrow keys to navigate (slide on touch devices)</li>
          <li>H = highlight any code snippets</li>
          <li>P = toggle speaker notes (if any)</li>
          <li>F = fullscreen viewing</li>
          <li>W = toggle widescreen</li>
          <li>O = see an overview</li>
          <li>ESC = toggles off these goodies</li>
        </ul>
      </article>
  </slide>

<?php if ( have_posts() ) : ?>
	<?php while ( have_posts() ) : the_post(); ?>
		<?php get_template_part( 'content', get_post_format() ); ?>
	<?php endwhile; ?>
<?php else : ?>
	<slide id="post-0" class="post no-results not-found">
		<hgroup>
			<h2>No Slides Found!</h2>
		</hgroup>
		<article>
			<p>Whatever slide you're looking for, it ain't here, bud.</p>
		</article>
	</slide>
<?php endif; // end have_posts() check ?>

<slide class="backdrop"></slide>

</slides>

<?php get_footer(); ?>
